#include <genht/htsp.h>

/* Make s the current sheet (in the GUI) */
void sch_rnd_multi_switch_to(csch_sheet_t *s);

/* Change current sheet to curr+step in the linear sheet list;
   if curr is NULL, use the GUI-current sheet */
void sch_rnd_multi_switch_to_delta(csch_sheet_t *curr, int step);

/* Special case: first switch after loading all pages from the command line */
void sch_rnd_multi_switch_to_initial(csch_sheet_t *s);


csch_sheet_t *sch_rnd_multi_load(const char *fn, const char *fmt);
csch_sheet_t *sch_rnd_multi_new_empty(void);




extern htsp_t sch_rnd_projects; /* all projects currently open */


void sch_rnd_multi_init(void);
void sch_rnd_multi_uninit(void);
